Get Multiple Transactions
curl --request GET \
--url https://api.flutterwave.com/v3/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/transactions"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>",
"meta": {
"page_info": {
"total": 158,
"current_page": 1,
"total_pages": 16
}
},
"data": [
{
"id": 1163077,
"tx_ref": "akhlm-pstmn-23452",
"flw_ref": "FLW-M03K-781621ccfe976c03515bcd07a39f3db8",
"device_fingerprint": "N/A",
"amount": 30300,
"currency": "NGN",
"charged_amount": 30300,
"app_fee": 11741.9,
"merchant_fee": 0,
"processor_response": "Approved",
"auth_model": "noauth",
"ip": "pstmn",
"narration": "pstmn charge",
"status": "successful",
"payment_type": "card",
"created_at": "2020-03-11T19:33:20.000Z",
"amount_settled": 18558.1,
"card": {
"type": "MASTERCARD",
"country": "NIGERIA NG",
"issuer": "MASTERCARD CREDIT",
"first_6digits": "55318",
"last_4digits": "2950",
"expiry": "09/22"
},
"customer": {
"id": 252759,
"email": "user@example.com",
"phone_number": "0813XXXXXXX",
"name": "Kendrick Graham",
"created_at": "2020-01-15T13:26:24.000Z"
},
"account_id": 73362
}
]
}Transactions
Get Multiple Transactions
Fetch multiple previously initiated transactions
GET
/
transactions
Get Multiple Transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Was this page helpful?
⌘I